Index: org/postgresql/core/QueryExecutor.java
===================================================================
RCS file: /cvsroot/jdbc/pgjdbc/org/postgresql/core/QueryExecutor.java,v
retrieving revision 1.44
diff -r1.44 QueryExecutor.java
223c223
<     CopyOperation startCopy(String sql) throws SQLException;
---
>     CopyOperation startCopy(String sql, boolean suppressBegin) throws SQLException;
Index: org/postgresql/core/v2/QueryExecutorImpl.java
===================================================================
RCS file: /cvsroot/jdbc/pgjdbc/org/postgresql/core/v2/QueryExecutorImpl.java,v
retrieving revision 1.22
diff -r1.22 QueryExecutorImpl.java
610c610
<     public CopyOperation startCopy(String sql) throws SQLException {
---
>     public CopyOperation startCopy(String sql, boolean suppressBegin) throws SQLException {
Index: org/postgresql/core/v3/QueryExecutorImpl.java
===================================================================
RCS file: /cvsroot/jdbc/pgjdbc/org/postgresql/core/v3/QueryExecutorImpl.java,v
retrieving revision 1.45
diff -r1.45 QueryExecutorImpl.java
475c475,492
<         if (protoConnection.getTransactionState() == ProtocolConnection.TRANSACTION_IDLE && !suppressBegin)
---
>         if (!suppressBegin)
>         {
>             doSubprotocolBegin();
>         }
>         try
>         {
>             sendFastpathCall(fnid, (SimpleParameterList)parameters);
>             return receiveFastpathResult();
>         }
>         catch (IOException ioe)
>         {
>             protoConnection.close();
>             throw new PSQLException(GT.tr("An I/O error occured while sending to the backend."), PSQLState.CONNECTION_FAILURE, ioe);
>         }
>     }
> 
>     public void doSubprotocolBegin() throws SQLException {
>         if (protoConnection.getTransactionState() == ProtocolConnection.TRANSACTION_IDLE)
479c496
<                 logger.debug("Issuing BEGIN before fastpath call.");
---
>                 logger.debug("Issuing BEGIN before fastpath or copy call.");
540,549d556
<         try
<         {
<             sendFastpathCall(fnid, (SimpleParameterList)parameters);
<             return receiveFastpathResult();
<         }
<         catch (IOException ioe)
<         {
<             protoConnection.close();
<             throw new PSQLException(GT.tr("An I/O error occured while sending to the backend."), PSQLState.CONNECTION_FAILURE, ioe);
<         }
702c709
<     public synchronized CopyOperation startCopy(String sql) throws SQLException {
---
>     public synchronized CopyOperation startCopy(String sql, boolean suppressBegin) throws SQLException {
703a711,713
>         if (!suppressBegin) {
>             doSubprotocolBegin();
>         }
Index: org/postgresql/copy/CopyManager.java
===================================================================
RCS file: /cvsroot/jdbc/pgjdbc/org/postgresql/copy/CopyManager.java,v
retrieving revision 1.1
diff -r1.1 CopyManager.java
42a43
>     private final BaseConnection connection;
46a48
>         this.connection = connection;
52c54
<             op = queryExecutor.startCopy(sql);
---
>             op = queryExecutor.startCopy(sql, connection.getAutoCommit());
63c65
<             op = queryExecutor.startCopy(sql);
---
>             op = queryExecutor.startCopy(sql, connection.getAutoCommit());
